Subject: [AVT] Re: avt Digest, Vol 17, Issue 7

From: lazzaro <[email-masked]>
Date: Wed, 7 Sep 2005 13:26:50 -0700

On Sep 7, 2005, at 6:37 AM, [email-masked] wrote:
> I'm curious if a framing scheme similar to RTSP's binary data
> encapsulation was considered. It adds 2 bytes of overhead per frame,
> but I would guess frame sizes would typically be much larger when
> going over a connection-oriented protocol (for example, I use 16 KB
> frames when going over TCP as opposed to 1400 or so byte frames over
> UDP), making the amortized cost relatively small.

Check back in the AVT archives from a few years ago, we
did discuss the pros and cons of going to an RTSP framing
mechanism.  The preponderance of opinion was that several
major vendors had legacy code bases that used the old RTP
TCP framing, and so it was appropriate to document this
framing once again in a standards-track RFC.  Once this
decision was made, the session description syntax to
support the legacy framing method followed from it.

As Colin implied (I think ...), if someone wanted to propose an
alternate framing method that was technically superior, obtain
WG consensus on it, and shepherd it through the process,
that would be fine.  Of course, one would have to define
session description syntax that made it clear that the alternate
framing method was selected for the session -- this should not
be hard to do.

---
John Lazzaro
http://www.cs.berkeley.edu/~lazzaro
lazzaro [at] cs [dot] berkeley [dot] edu
---

_______________________________________________
Audio/Video Transport Working Group
[email-masked]
https://www1.ietf.org/mailman/listinfo/avt